
Infrastructure - Feature #1931

Change metacat to register with CN during configuration

2011-10-26 21:04 - Matthew Jones

Status: Closed Start date: 2011-10-26

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2011.46-Block.6   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Metacat needs to be able to register with DataONE as a MN when it is being installed and configured.  This will involve creating a

Node description document and submitting it to the CN register() service with an appropriate set of information.

Subtasks:

Task # 1932: Modify registration to be manually initiated Closed

Task # 1933: add ability to edit all user-settable registration properties Closed

Task # 1934: record MN id after registration Closed

History

#1 - 2011-10-26 21:08 - Matthew Jones

- Subject changed from Allow metacat to register with CN to Change metacat to register with CN during configuration

- Category set to Metacat

- Assignee set to Matthew Jones

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

Partial implementation done, where metacat automatically registers each time configuration is run.  Need to change this to be triggered by an admin.

#2 - 2011-11-15 04:11 - Dave Vieglais

- Position set to 13

- Target version set to Sprint-2011.46-Block.6

- Position deleted (34)

#3 - 2011-11-23 19:33 - Ben Leinfelder

- Assignee changed from Matthew Jones to Ben Leinfelder

- Status changed from In Progress to Closed
